Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss
Class Main

    java.lang.Object
      org.jboss.Main

public class Main
extends Object

Provides a command line interface to start the JBoss server.

To enable debug or trace messages durring boot change the Log4j configuration to use either `log4j-debug.properties` `log4j-trace.properties` by setting the system property `log4j.configuration`:

       ./run.sh -Dlog4j.configuration=log4j-debug.properties

Version:
  $Revision: 1.35.2.2 $
Author:
  Marc Fleury, Jason Dillon, Adrian Brock

Constructor Summary
`Main()` Explicit constructor.

Method Summary
`void` | `boot(String[] args)` Boot up JBoss.
`static void` | `main(String[] args)` This is where the magic begins.
`static void` | `systemExit(String[] argv)` This method is here so that if JBoss is running under Alexandria (An NT Service Installer), Alexandria can shutdown the system down correctly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

  Explicit constructor.

Method Detail

### boot

    public void boot(String[] args)
              throws Exception

  Boot up JBoss.

  Parameters:
    `args` - The command line arguments.
  Throws:
    `Exception` - Failed to boot.

### main

    public static void main(String[] args)
                     throws Exception

  This is where the magic begins.

  Starts up inside of a "jboss" thread group to allow better identification of JBoss threads.

  Parameters:
    `args` - The command line arguments.
  Throws:
    `Exception`

### systemExit

    public static void systemExit(String[] argv)

  This method is here so that if JBoss is running under Alexandria (An NT Service Installer), Alexandria can shutdown the system down correctly.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.